"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai = require("chai");
const GTFSOutputFactory_1 = require("./GTFSOutputFactory");
const CalendarFactory_1 = require("./calendar/CalendarFactory");
const cheapRuler = require("cheap-ruler");
const fs = require("fs");
const GTFSOutput_1 = require("./GTFSOutput");
describe("GTFSOutputFactory", () => {
    const tmpDir = "./tmp";
    const factory = new GTFSOutputFactory_1.GTFSOutputFactory(new CalendarFactory_1.CalendarFactory(), tmpDir, cheapRuler(46), 1, {});
    it("creates the output directory", () => {
        factory.create();
        chai.expect(fs.existsSync(tmpDir)).to.equal(true);
    });
    it("creates a GTFSOutput object", () => {
        const output = factory.create();
        chai.expect(output instanceof GTFSOutput_1.GTFSOutput).to.equal(true);
    });
});
