/// <reference types="node" />
import { Route, RouteID, RouteType } from "../GTFS";
import { Writable } from "stream";
import { Sequence } from "../../sequence/Sequence";
export declare class RouteMerger {
    private readonly routes;
    private readonly sequence;
    private readonly removeRouteType;
    constructor(routes: Writable, sequence: Sequence, removeRouteType: RouteTypeIndex);
    /**
     * Output and re-index all routes. A map of old route ID to new route ID is returned.
     */
    write(routes: Route[]): Promise<RouteIndex>;
    private push;
    /**
     * Flush all the data to the output stream
     */
    end(): Promise<void[]>;
}
export declare type RouteIndex = Record<RouteID, RouteID>;
export declare type RouteTypeIndex = Record<RouteType, boolean>;
